Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class TreeDropZone

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop
              com.gwtext.client.dd.DDTarget
                  com.gwtext.client.dd.DropTarget
                      com.gwtext.client.dd.DropZone
                          com.gwtext.client.widgets.tree.TreeDropZone

    public class TreeDropZone

extends com.gwtext.client.dd.DropZone

A TreePanel DropZone.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`TreeDropZone(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary

Methods inherited from class com.gwtext.client.dd.DropZone
`create, create`

Methods inherited from class com.gwtext.client.dd.DropTarget
`notifyDrop, notifyEnter, notifyOut, notifyOver`

Methods inherited from class com.gwtext.client.dd.DragDrop
`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getGroups, getId, getInvalidHandleClasses, getInvalidHandleTypes, getPadding, getXTicks, getYTicks, hasOuterHandles, init, initTarget, isAvailable, isLocked, isMaintainOffset, isPrimaryButtonOnly, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragDrop, onDragEnter, onDragEnter, onDragOut, onDragOut, onDragOver, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setOuterHandleElId, setPadding, setXConstraint, setYConstraint, startDrag, toString, unlock, unreg`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeDropZone

    public TreeDropZone(com.google.gwt.core.client.JavaScriptObject jsObj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD